> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Single validator summary

This endpoint returns high level information about a validator over the time period such as its entity name, network penetration, annual percentage yield (APY), and effectiveness.

Here's how to interpret the inputs required to operate it 👇

| Parameter | Description                                                                            |
| :-------- | :------------------------------------------------------------------------------------- |
| `window`  | Window of the aggregation, with `1d`, `7d`, `30d` and `all` being the supported values |

On the `1d` time period, the APY takes into account the rewards received for the last 3 days to smooth out the noise given Solana's staking rewards schedule, which is every epoch (\~2 days).


## OpenAPI

````yaml get /v0/solana/validators/{validator_id}/summary
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v0/solana/validators/{validator_id}/summary:
    get:
      tags:
        - Solana Validators
      summary: Validator Summary
      operationId: validator_summary_v0_solana_validators__validator_id__summary_get
      parameters:
        - name: validator_id
          in: path
          required: true
          schema:
            type: string
            title: Validator Id
        - name: window
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/TimeWindow'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SolanaValidatorSummary'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    TimeWindow:
      type: string
      enum:
        - 1d
        - 7d
        - 30d
        - all
      title: TimeWindow
    SolanaValidatorSummary:
      properties:
        validatorIdentity:
          type: string
          title: Validatoridentity
        voteAccount:
          type: string
          title: Voteaccount
        timeWindow:
          $ref: '#/components/schemas/TimeWindow'
        name:
          type: string
          title: Name
        validatorApy:
          type: string
          title: Validatorapy
        delegatorApy:
          type: string
          title: Delegatorapy
        voteCommissionRate:
          type: string
          title: Votecommissionrate
        mevCommissionRate:
          anyOf:
            - type: string
            - type: 'null'
          title: Mevcommissionrate
        totalStake:
          type: string
          title: Totalstake
        networkPenetration:
          type: string
          title: Networkpenetration
        effectiveness:
          anyOf:
            - type: string
            - type: 'null'
          title: Effectiveness
        stakeAccountCount:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Stakeaccountcount
        voteLatency:
          anyOf:
            - type: string
            - type: 'null'
          title: Votelatency
        jitoPriorityFeeCommissionRate:
          anyOf:
            - type: string
            - type: 'null'
          title: Jitopriorityfeecommissionrate
      type: object
      required:
        - validatorIdentity
        - voteAccount
        - timeWindow
        - name
        - validatorApy
        - delegatorApy
        - voteCommissionRate
        - mevCommissionRate
        - totalStake
        - networkPenetration
        - effectiveness
        - stakeAccountCount
        - voteLatency
        - jitoPriorityFeeCommissionRate
      title: SolanaValidatorSummary
      examples:
        - delegatorApy: 0.05
          effectiveness: 0.984
          jitoPriorityFeeCommissionRate: 0.05
          mevCommissionRate: 0.05
          name: name
          networkPenetration: 0.24
          stakeAccountCount: 100
          timeWindow: 30d
          validatorApy: 0.05
          validatorIdentity: validatorIdentity
          validatorName: validatorName
          voteAccount: voteAccount
          voteCommissionRate: 0.05
          voteLatency: 2.984
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````